Bug 143687 - vsftpd incorrect time
Summary: vsftpd incorrect time
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vsftpd   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-24 04:50 UTC by Jim Frost
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 08:40:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Frost 2004-12-24 04:50:22 UTC
Description of problem:
I set the vsftpd config file to use_localtime=Yes and the time is
still 6 hours ahead, GMT time. I'm new to Linux so maybe it's me.

Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1.set use_localtime=Yes
2.
3.
  
Actual results:
uses gmt time, local time is right on.  I am using NTP for local time.

Expected results:
correct local time in xfer log and ftp session, and file creation time.

Additional info:
I am new to Linux, and looking forward to becoming a valuable member
of the community.

Comment 1 Radek Vokal 2005-01-10 08:40:42 UTC
Good point, the log function didn't used the localtime variable. Fixed
in vsftpd-2.0.1-8.


Note You need to log in before you can comment on or make changes to this bug.